- Start Import Session - Import Model - Start Session API.
- Upload Model in Chunks - Import Model - Chunk Upload API.
- Complete the Import Process - Import Model- Completion API.
Start Import Session
The Import Model - Start Session API is executed in this step. The API initializes the import session and returns aSession Id in the response which is used in the next two steps of the import process.
Path Parameters
Sample Request
Body Parameters
Sample Response
Response Parameters
Upload Model in Chunks
The Import Model - Chunk Upload API uploads a file chunk for model import. ThesessionId from the Start Import Session API must be used here to upload the file in incrementing chunks identified by a unique chunkNumber.
Path Parameters
Sample Request
Body Parameters
Sample Response
Response Parameters
Complete the Import Process
The Import Model- Complete API completes the model import process after all file chunks have been successfully uploaded. The sessionId from the Start Import Session API must be used for this API.